<?xml version="1.0" encoding="UTF-8"?>
<!-- -*- coding: utf-8 -*- -->

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<!-- ********************************************************************** -->

<head>
  <!-- meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" /> -->

  <title>HPCToolkit Software</title>

  <link rel="stylesheet" type="text/css" href="style/style.css" />
<style>
table {
  border-collapse: collapse;
  width: 100%;
}

th, td {
  text-align: left;
  padding: 8px;
}

tr:nth-child(even){background-color: #f2f2f2}
tr:hover {background-color: #05f5f5;}

th {
  background-color: darkblue;
  color: white;
}
</style>
</head>

<body>

<!-- ********************************************************************** -->

<!-- HPCToolkit Image (height = 71 pixels) --> <img style="position: absolute; top: 0px; left: 0px" src="style/header.gif" alt="hpctoolkit" /> <div style="position: relative; margin-top: 60px; width: 100%; text-align: right;"> <p style="margin: 0px; font-size: small;">   [ <a href="index.html">Home</a>     | <a href="overview.html">Overview</a>     | <a href="publications.html">Publications</a>     | <a href="software.html">Software/Downloads</a> ]   &bull;   [ <a href="documentation.html">Documentation/Questions</a>     | <a href="training.html">Training Videos and Slides</a> ]   &bull;   [ <a href="info-people.html">People</a>     | <a href="info-acks.html">Acks</a> ] </p> </div> <div style="width: 100%;">   <hr /> </div> 
<!-- ********************************************************************** -->

<h1>Binary Releases of HPCToolkit's <tt>hpcviewer</tt> Graphical User Interface</h1>
<p>
Note: As of the 2020.12 release,  <tt>hpcviewer</tt> supports trace views
in addition to profile views, eliminating the need for a separate <tt>hpctraceviewer</tt>.
</p>

<h2>Requirements</h2>
<ul>
	<li>On all platforms: Java 11 or 17 </li>
	<li>On Linux: GTK 3.20 or newer</li>
</ul>
<h3> Installing Java</h3>
The instructions to install Java:
<ol>
	<li>Download Java JDK
		<ul>
			<li>Recommended: <code>spack install openjdk</code></li>
			<li>Or download from:
				<ul>
					<li><a href="https://adoptopenjdk.net">AdoptOpenJDK</a> or <a href="https://adoptium.net/">Adoptium</a> for the newer JDK versions</li>
					<li><a href="https://www.oracle.com/java/technologies/javase-downloads.html">Oracle</a> </li>
				</ul>
		</ul>
	</li>
	<li>Set <b><code>JAVA_HOME</code></b> environment variable to the installed directory</li>
</ol>



<h2>Latest release: 2023.05</h2>

<table>
  <thead>
    <tr> <th>OS</th> <th>Processor</th> <th>Download link</th></tr>
  </thead>
  <tbody>
    <tr><td><b>Linux</b></td> <td>x86_64</td> <td><a href="download/hpcviewer/latest/hpcviewer-linux.gtk.x86_64.tgz">hpcviewer-linux.gtk.x86_64.tgz</a></td> </tr>
    <tr><td><b>Linux</b></td> <td>ppcle</td> <td><a href="download/hpcviewer/latest/hpcviewer-linux.gtk.ppc64le.tgz">hpcviewer-linux.gtk.ppc64le.tgz</a></td> </tr>
    <tr><td><b>Linux</b></td> <td>aarch64</td> <td><a href="download/hpcviewer/latest/hpcviewer-linux.gtk.aarch64.tgz">hpcviewer-linux.gtk.aarch64.tgz</a></td> </tr>
    <tr><td><b>MacOS</b></td> <td> x86_64</td> <td><a href="download/hpcviewer/latest/hpcviewer-macosx.cocoa.x86_64.dmg">hpcviewer-macosx.cocoa.x86_64.dmg</a></td> </tr>
    <tr><td><b>MacOS</b></td> <td>aarch64</td> <td><a href="download/hpcviewer/latest/hpcviewer-macosx.cocoa.aarch64.dmg">hpcviewer-macosx.cocoa.aarch64.dmg</a></td> </tr>
    <tr><td><b>Windows</b></td> <td>x86_64</td> <td><a href="download/hpcviewer/latest/hpcviewer-win32.win32.x86_64.zip">hpcviewer-win32.win32.x86_64.zip</a></td> </tr>
  </tbody>
</table>


<h2>Older releases</h2>

<blockquote>
<a href="download/hpcviewer/2023.04"><tt>2023.04 Release</tt></a>
<br/>
<a href="download/hpcviewer/2023.02"><tt>2023.02 Release</tt></a>
<br/>
<a href="download/hpcviewer/2023.01"><tt>2023.01 Release</tt></a>
<br/>
<a href="download/hpcviewer/2022.10"><tt>2022.10 Release</tt></a>
<br/>
<a href="download/hpcviewer/2022.06"><tt>2022.06 Release</tt></a>
<br/>
<a href="download/hpcviewer/2022.01"><tt>2022.01 Release</tt></a>
<br/>
<a href="download/hpcviewer/2021.10"><tt>2021.10 Release</tt></a>
<br/>
<a href="download/hpcviewer/2021.05"><tt>2021.05 Release</tt></a>
<br/>
<a href="download/hpcviewer/2021.03"><tt>2021.03 Release</tt></a>
<br/>
<br/>
<a href="download/hpcviewer/Archive"><tt>Prior versions</tt></a>
</blockquote>

<p>[<span class="lastupdated">Page last updated: 2023/06/05</span>]
</p>
<!-- ********************************************************************** -->

<div style="width: 100%; font-size: small;">   <hr />   <p style="margin: 0px; font-size: small;">     &copy;2002-2023 <a href="http://www.rice.edu">Rice University</a>     &bull;     <a href="http://www.cs.rice.edu">Rice Computer Science</a>   </p>   <a href="http://validator.w3.org/check/referer">     <img src="http://www.w3.org/Icons/valid-xhtml10-blue" alt="" height="15" /></a>   <a href="http://jigsaw.w3.org/css-validator/check/referer">     <img src="http://www.w3.org/Icons/valid-css-blue" alt="" height="15" /></a> </div> 
<!-- ********************************************************************** -->


</body>
</html>


<!-- Local Variables: -->
<!-- eval: (add-hook 'write-file-hooks 'time-stamp) -->
<!-- time-stamp-start: "<span class=\"lastupdated\">Page last updated: " -->
<!-- time-stamp-format: "%:y/%02m/%02d" -->
<!-- time-stamp-end: "</span>" -->
<!-- time-stamp-line-limit: 10000 -->
<!-- End: -->
